Skip to main content
POST
/
api
/
v2
/
public
/
event
/
:slug
Trigger an event for single app
curl --request POST \
  --url https://api.gocobalt.io/api/v2/public/event/:slug \
  --header 'Content-Type: application/json' \
  --header 'linked_account_id: <linked_account_id>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "event": "<string>",
  "payload": {}
}
'
{
    "message": "Webhook Fired Success"
}
This API triggers a webhook event for a specific application using its slug. Ensure the event is created on your Cobalt dashboard prior to triggering.

Request description

Headers

linked_account_id
string
required
Unique customer identification id. For Eg: markwood@some_email.com
config_id
string
Config Id for the linked account. If not provided, linked_account_id is considered by default.

Path Parameters

slug
string
required
Application slug. Eg: pipedrive

Body Parameters

event
string
required
Event Name
payload
object
Event payload with user data required for the workflow.
Example payload
  {
    "deal_name": "Some Value",
    "deal_amount": "some value 2",
    "close_date": "some value 3",
    "status": "some value 4"
  }

Response description

message
string
System generated message
{
    "message": "Webhook Fired Success"
}